summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author aaditya2013-12-14 15:59:08 +0100
committer Erik Hanson2013-12-14 17:53:07 +0100
commite6f9dd40ed3bb686ef3071353f7d604e79668f16 (patch)
treedcba4469824828e9843b3f32c9663fa3f407d457
parentaa249d7a727276b413b419bb027acd0ee47306b0 (diff)
downloadslackbuilds-e6f9dd40ed3bb686ef3071353f7d604e79668f16.tar.gz
system/thermal_daemon: Added (Linux Thermal Daemon).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/thermal_daemon/README19
-rw-r--r--system/thermal_daemon/README.Slackware9
-rw-r--r--system/thermal_daemon/slack-desc19
-rw-r--r--system/thermal_daemon/thermal_daemon.SlackBuild110
-rw-r--r--system/thermal_daemon/thermal_daemon.info10
5 files changed, 167 insertions, 0 deletions
diff --git a/system/thermal_daemon/README b/system/thermal_daemon/README
new file mode 100644
index 0000000000..89e3ef6c6b
--- /dev/null
+++ b/system/thermal_daemon/README
@@ -0,0 +1,19 @@
+The Linux Thermal Daemon program from 01.org
+
+Thermald deals with thermal issues for intel processor families codenamed
+intel sandy-bridge and above.
+Its is a Linux daemon used to prevent the overheating of systems.
+This daemon monitors temperature and applies compensation using available
+cooling methods.
+
+Uses intel p-state driver.
+
+Prerequisites:
+
+Kernel
+ Need kernel with "Intel P State driver", to use Intel P state driver to
+ cool the system.
+ Intel Power clamp driver: To use Idle injection to cool the system.
+ CONFIG_X86_MSR, so that x86 MSR can be read/write from user space to
+ control P-States.
+
diff --git a/system/thermal_daemon/README.Slackware b/system/thermal_daemon/README.Slackware
new file mode 100644
index 0000000000..31027f51a7
--- /dev/null
+++ b/system/thermal_daemon/README.Slackware
@@ -0,0 +1,9 @@
+Since this is a daemon, it should be started at boot via /etc/rc.d/rc.local:
+/usr/bin/thermald
+
+Also it would need to be stopped before shutdown, so an entry could be added
+to /etc/rc.d/rc.local_shutdown as well:
+killall thermald
+
+CONFIG_X86_MSR is listed as an (optional) dependency, msr-tools
+can be installed from https://01.org/msr-tools
diff --git a/system/thermal_daemon/slack-desc b/system/thermal_daemon/slack-desc
new file mode 100644
index 0000000000..3fc5e15bf8
--- /dev/null
+++ b/system/thermal_daemon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+thermal_daemon: thermal_daemon (Linux Thermal Daemon)
+thermal_daemon:
+thermal_daemon: Thermal_daemon is a Linux daemon used to prevent system overheating.
+thermal_daemon: This daemon monitors temperature and applies compensation using
+thermal_daemon: available cooling methods.
+thermal_daemon:
+thermal_daemon: It requires kernel with "Intel P State driver".
+thermal_daemon: ie, kernels 3.10 and above.
+thermal_daemon:
+thermal_daemon: Project URL: https://github.com/01org/thermal_daemon
+thermal_daemon:
diff --git a/system/thermal_daemon/thermal_daemon.SlackBuild b/system/thermal_daemon/thermal_daemon.SlackBuild
new file mode 100644
index 0000000000..eb40d6ada3
--- /dev/null
+++ b/system/thermal_daemon/thermal_daemon.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for thermal_daemon
+
+# Copyright 2103 Aaditya Bagag aaditya_gnulinux@zoho.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=thermal_daemon
+VERSION=${VERSION:-1.04_01}
+SRCVERSION=$(echo $VERSION | tr _ -)
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVERSION
+if [ -e $CWD/$SRCVERSION.tar.gz ]; then
+ tar xvf $CWD/$SRCVERSION.tar.gz
+else
+ tar xvf $CWD/$PRGNAM-$SRCVERSION.tar.gz
+fi
+cd $PRGNAM-$SRCVERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+#Remove /etc/init and systemd stuff
+rm -r $PKG/etc/init
+rm -r $PKG/etc/dbus-1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING README.txt thermal_daemon_usage.txt ThermalDaemon_Introduction.pdf \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/thermal_daemon/thermal_daemon.info b/system/thermal_daemon/thermal_daemon.info
new file mode 100644
index 0000000000..c87013d07d
--- /dev/null
+++ b/system/thermal_daemon/thermal_daemon.info
@@ -0,0 +1,10 @@
+PRGNAM="thermal_daemon"
+VERSION="1.04_01"
+HOMEPAGE="https://github.com/01org/thermal_daemon"
+DOWNLOAD="https://github.com/01org/thermal_daemon/archive/1.04-01.tar.gz"
+MD5SUM="3aed2992d64a879e9e5948f1e4d65289"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="aaditya"
+EMAIL="aaditya_gnulinux@zoho.com"